=== debian/changelog ===
deepin-movie-reborn (6.5.2) unstable; urgency=medium

  * Update version to 6.5.2
  * Update linglong.yaml for qt6.8 runtime

 -- wangrong <wangrong@uniontech.com>  Fri, 14 Feb 2025 14:03:54 +0800

deepin-movie-reborn (6.5.1) unstable; urgency=medium

  * chore: New version 6.5.1.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 13 Feb 2025 11:26:08 +0800

deepin-movie-reborn (6.5.0) unstable; urgency=medium

  * New tag 

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 07 Feb 2025 14:01:17 +0800

deepin-movie-reborn (5.15.13) unstable; urgency=medium

  * fix: Fixed the issue that OpenGL could not be played

 -- renbin <renbin@uniontech.com>  Fri, 17 Jan 2025 15:56:54 +0800

deepin-movie-reborn (5.15.12) unstable; urgency=medium

  * chore: New version 5.15.12.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 10 Jan 2025 18:16:49 +0800

deepin-movie-reborn (5.15.11) unstable; urgency=medium

  * qt6.8 version
  * Update version to 5.15.11

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 10 Jan 2025 08:59:01 +0800

deepin-movie-reborn (5.15.10) unstable; urgency=medium

  * Update version to 5.15.10

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 11:08:37 +0800

deepin-movie-reborn (5.15.9) unstable; urgency=medium

  * chore: New version 5.15.9.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 14:06:12 +0800

deepin-movie-reborn (5.15.8) unstable; urgency=medium

  * Update version to 5.15.8

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 14:59:22 +0800

deepin-movie-reborn (5.15.7) unstable; urgency=medium

  * Update version to 5.15.7

 -- renbin <renbin@uniontech.com>  Mon, 09 Dec 2024 10:59:32 +0800

deepin-movie-reborn (5.15.6) unstable; urgency=medium

  * Update version to 5.15.6

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:35:03 +0800

deepin-movie-reborn (5.15.5) unstable; urgency=medium

  * New version 5.15.5

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 30 Nov 2024 13:17:47 +0800

deepin-movie-reborn (5.15.4) unstable; urgency=medium

  * remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Mon, 11 Nov 2024 10:53:33 +0800

deepin-movie-reborn (5.15.3) unstable; urgency=medium

  * New version 5.15.3
  * Slimming down the linglong layer package.

 -- re2zero <yangwu@uniontech.com>  Fri, 27 Sep 2024 14:44:16 +0800

deepin-movie-reborn (5.15.2) unstable; urgency=medium

  * New version 5.15.2
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-movie-reborn (5.15.1) unstable; urgency=medium

  * New version 5.15.1

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 21 Aug 2024 14:52:33 +0800

deepin-movie-reborn (5.15.0) unstable; urgency=medium

  * New version 5.15.0

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 15 Aug 2024 18:05:41 +0800

deepin-movie-reborn (5.10.51) unstable; urgency=medium

  * feat: Added new settings for movie

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 02 Jul 2024 15:48:47 +0800

deepin-movie-reborn (5.10.50) unstable; urgency=medium

  * fix: Volume greater than 100 cannot be exited.(Bug: 251965)

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 19 Apr 2024 15:41:33 +0800

deepin-movie-reborn (5.10.49) unstable; urgency=medium

  * fix: Minimode display error after showfullscreen().(Bug: 249413)

 -- renbin <renbin@uniontech.com>  Tue, 16 Apr 2024 16:41:52 +0800

deepin-movie-reborn (5.10.48) unstable; urgency=medium

  * New version 5.10.48
  * fix: yuv444p format uses software decoding (Bug: 247589)
  * fix: sw jmgpu uses hardware decoding (Bug: 240393)
  * fix: cropped rounded corners exist during full-screen playback (Bug: 247735)
  * fix: pause icon still displayed when minimized (Bug: 247791)
  * fix: HW device hardware decoding detection adjustment (Bug: 249087)
  * fix: Adjust device detection strategy (Bug: 249087)

 -- renbin <renbin@uniontech.com>  Wed, 03 Apr 2024 14:56:28 +0800

deepin-movie-reborn (5.10.47) unstable; urgency=medium

  * New version 5.10.47

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 15:51:03 +0800

deepin-movie-reborn (5.10.46) unstable; urgency=medium

  * New version 5.10.46

 -- muyuankai <muyuankai@uniontech.com>  Wed, 13 Mar 2024 14:53:21 +0800

deepin-movie-reborn (5.10.45) unstable; urgency=medium

  * New version 5.10.45

 -- xiepengfei <xiepengfei@uniontech.com>  Mar, 01 Fri 2024 14:25:15 +0800

deepin-movie-reborn (5.10.44) unstable; urgency=medium

  * New version 5.10.44
  * fix: Crash when switching mini mode on Wayland.(Bug: 241865)

 -- renbin <renbin@uniontech.com>  Mon, 05 Feb 2024 13:50:00 +0800

deepin-movie-reborn (5.10.43) unstable; urgency=medium

  * New version 5.10.43

 -- renbin <renbin@uniontech.com>  Web, 01 Feb 2024 14:02:52 +0800

deepin-movie-reborn (5.10.42) unstable; urgency=medium

  * New version 5.10.42
  * fix: Widget flickering when switching between
         maximized/full screen.(Bug: 239775)

 -- renbin <renbin@uniontech.com>  Fri, 19 Jan 2024 11:13:02 +0800

deepin-movie-reborn (5.10.41) unstable; urgency=medium

  * New version 5.10.41
  * fix: Playback HEVC black screen on some devices.(Bug: 234565)

 -- renbin <renbin@uniontech.com>  Tue, 09 Jan 2024 21:48:27 +0800

deepin-movie-reborn (5.10.40) unstable; urgency=medium

  * NNew version 5.10.40.

 -- muyuankai <muyuankai@uniontech.com>  Fri, 05 Jan 2024 10:07:56 +0800

deepin-movie-reborn (5.10.39) unstable; urgency=medium

  * NNew version 5.10.39.

 -- muyuankai <muyuankai@uniontech.com>  Fri, 22 Dec 2023 10:39:00 +0800
