=== debian/control ===
Source: deepin-movie-reborn
Section: libdevel
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: 
    debhelper,
    cmake,
    pkg-config,
    libmpv-dev,
    libxcb1-dev,
    libxcb-util0-dev,
    libffmpegthumbnailer-dev,
    libxcb-shape0-dev,
    libxcb-ewmh-dev,
    xcb-proto,
    x11proto-record-dev,
    x11-utils,
    libxtst-dev,
    libavcodec-dev,
    libavformat-dev,
    libavutil-dev,
    libpulse-dev,
    libdvdnav-dev,
    libgsettings-qt-dev,
    libva-dev,
    libgstreamer-plugins-base1.0-dev,
    libgstreamer1.0-dev,
# qt6
    qt6-base-dev,
    qt6-base-dev-tools,
    qt6-base-private-dev,
    qt6-l10n-tools,
    qt6-svg-dev,
    qt6-tools-dev-tools,
    qt6-tools-dev,
    qt6-multimedia-dev,
    libqt6sql6-sqlite,
    libmpris-qt6-dev,
    libqt6opengl6-dev,
# dtk
    libdtk6gui-dev,
    libdtk6widget-dev,
    libdtk6core-dev
Standards-Version: 3.9.8
Homepage: https://www.deepin.org/

Package: deepin-movie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, va-driver-all, libavcodec58(>= 7:4.0) | libavcodec60(>= 7:6.0), libavformat58(>= 7:4.1) | libavformat60(>= 7:6.0), libavutil56(>= 7:4.0) | libavutil58(>= 7:6.0), libffmpegthumbnailer4v5, libmpv1(>= 0.29) | libmpv2(>= 0.36), libpulse0(>= 0.99.1), libgstreamer-plugins-base1.0-0 (>= 1.0.0), libgstreamer1.0-0 (>= 1.4.0)
Recommends: libgpuinfo, uos-reporter, deepin-event-log
Description: movie player
 Movie is a full-featured video player, supporting playing local and streaming media in multiple video formats.

Package: libdmr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libavcodec58(>= 7:4.0) | libavcodec60(>= 7:6.0), libavformat58(>= 7:4.1) | libavformat60(>= 7:6.0), libavutil56(>= 7:4.0) | libavutil58(>= 7:6.0), libffmpegthumbnailer4v5, libmpv1(>= 0.29) | libmpv2(>= 0.36), libpulse0(>= 0.99.1), libgstreamer-plugins-base1.0-0 (>= 1.0.0), libgstreamer1.0-0 (>= 1.4.0)
Multi-Arch: same
Description: movie player widget library 
 deepin movie player widget library

Package: libdmr-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmr(=${binary:Version}), libgsettings-qt-dev
Description: movie player widget library development headers
 deepin movie player widget library development headers
